/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package requirementsmanager;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.Hashtable;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.Logger;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import requirementsmanager.gui.JanelaAutenticacao;

/**
 *
 * @author ei10608
 */
public class RequirementsManager {

    private static Hashtable<String, String> dados = new Hashtable<String, String>();

    public static void main(String[] args) {
        try {
            System.setProperty("java.util.logging.config.file", "logging.properties");
            LogManager logManager = LogManager.getLogManager();
            logManager.readConfiguration();
        } catch (IOException e) {
            System.err.println(e.getMessage());
            //ignore
        }
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
            BufferedReader reader = new BufferedReader(new FileReader("install.properties"));
            String line, pair[];
            while ((line = reader.readLine()) != null) {
                pair = line.split("=");
                dados.put(pair[0], pair[1]);
            }

        } catch (IOException ex) {
            Logger.getLogger(RequirementsManager.class.getName()).log(Level.SEVERE, null, ex);
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(RequirementsManager.class.getName()).log(Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            Logger.getLogger(RequirementsManager.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            Logger.getLogger(RequirementsManager.class.getName()).log(Level.SEVERE, null, ex);
        } catch (UnsupportedLookAndFeelException ex) {
            Logger.getLogger(RequirementsManager.class.getName()).log(Level.SEVERE, null, ex);
        }

        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new JanelaAutenticacao().setVisible(true);
            }
        });
    }

    public static String getConfigOption(String key) {
        if (!dados.isEmpty()) {
            return dados.get(key);
        }
        return "";
    }
}
